package client

type TransactionFunc func(tx Transaction) error

type Transaction interface {
	InsertTx(request *InsertRequest) (string, error)
	InsertBatchTx(request *InsertBatchRequest) (string, error)
	DeleteTx(request *DeleteRequest) (string, error)
	DeleteWhereTx(request *DeleteWhereRequest) (string, error)
	UpdateTx(request *UpdateRequest) (string, error)
	UpdateWhereTx(request *UpdateWhereRequest) (string, error)
}
